Bug 229184 - japanese/p5-Lingua-JA-Moji: p5-p5-Lingua-JA-Moji Bad PKGNAMEPREFIX?
Summary: japanese/p5-Lingua-JA-Moji: p5-p5-Lingua-JA-Moji Bad PKGNAMEPREFIX?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-20 15:50 UTC by Tomohiro Hosaka
Modified: 2018-07-11 06:16 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (317 bytes, patch)
2018-06-20 15:50 UTC, Tomohiro Hosaka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2018-06-20 15:50:45 UTC
Created attachment 194431 [details]
svn diff

# pwd                                                                                                                                            
/usr/ports-svn/head/japanese/p5-Lingua-JA-Moji
# make fetch                                                                                                                                     
===>  License ART10 GPLv1+ accepted by the user
===>   p5-p5-Lingua-JA-Moji-0.36 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by p5-p5-Lingua-JA-Moji-0.36 for building
# make -f Makefile -V PKGNAMEPREFIX                                                                                                              
p5-p5-

Is this p5-p5 right?

# (patch apply)
# make fetch
===>  License ART10 GPLv1+ accepted by the user
===>   p5-Lingua-JA-Moji-0.36 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by p5-Lingua-JA-Moji-0.36 for building
Comment 1 Koichiro Iwao freebsd_committer 2018-06-22 05:14:53 UTC
No, it should be ja-p5-. I'll fix it.
Comment 2 Koichiro Iwao freebsd_committer 2018-06-22 05:56:33 UTC
Just for the record, here's the list of which doesn't have ja- prefix in japanese category but some are OK. I'll fix all Lingua ports at this time.

$ cd /usr/ports/japanese
$ for d in $(find . -type d -depth 1 ); do (cd $d; make -VPKGNAME); done |grep -v ^ja-
latex-jlisting-0.2
p5-WWW-2ch-0.07_2
p5-Lingua-JA-Numbers-0.05
py27-zinnia-0.06
qt4-codecs-jp-4.8.7_2
py27-tegaki-0.3.1
py27-tegaki-gtk-0.3.1
p5-p5-Lingua-JA-Moji-0.36
php_doc-ja-20131017_2
Comment 3 Koichiro Iwao freebsd_committer 2018-06-27 01:55:33 UTC
Differential Revision: https://reviews.freebsd.org/D16002
Comment 4 commit-hook freebsd_committer 2018-07-11 05:50:57 UTC
A commit references this bug:

Author: meta
Date: Wed Jul 11 05:50:48 UTC 2018
New revision: 474424
URL: https://svnweb.freebsd.org/changeset/ports/474424

Log:
  japanese/p5-Lingua-*: fix duplicate p5-p5- PKGNAMEPREFIX

  japanese/p5-Lingua-JA-Moji had duplicate p5-p5- prefix and
  japanese/p5-Lingua-JA-Numbers didn't have ja- prefix.
  Set ja-p5- prefix to all Lingua ports under Japanese category.

  PR:		229184
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in> (initial version)
  Reviewed by:	pi, mat
  Approved by:	pi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16002

Changes:
  head/japanese/p5-Lingua-JA-Moji/Makefile
  head/japanese/p5-Lingua-JA-Numbers/Makefile
Comment 5 Koichiro Iwao freebsd_committer 2018-07-11 06:16:30 UTC
Committed with minor changes, thanks.